/*
 * 作成日: 2007/06/05
 */
package net.sourceforge.swingx;

import javax.swing.AbstractAction;
import javax.swing.Icon;
import javax.swing.KeyStroke;

/**
 * メニューやツールバーなどのアクションが実装すべき抽象クラス。
 * TODO:DEFAULT_VALUE のフィールドは廃止すべきか？
 * TODO:国際化対応を統括的に対応できないか？
 * @author Asan
 */
public abstract class SxAction extends AbstractAction {
	public SxAction(String name) {
		super(name);
	}
	public SxAction(String name, Icon icon) {
		super(name, icon);
	}
	public KeyStroke getAcceleratorKey() {
		return (KeyStroke) getValue(ACCELERATOR_KEY);
	}
	/**
	 * グレイにしたり、チェックをつける. 
	 * MFCの CCmdUI の扱いに近い。
	 * 有効無効を切り替えるには、setEnabled(exp);を呼ぶ。
	 * チェックを入れるには、？？？
	 * 非表示にするには？？？
	 */
	public abstract void updateStatus();
	
}
